
<!DOCTYPE html>

<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

    <title>open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls &#8212; open-ViewMin  documentation</title>
    
  <!-- Loaded before other Sphinx assets -->
  <link href="../../../../../_static/styles/theme.css?digest=1999514e3f237ded88cf" rel="stylesheet">
<link href="../../../../../_static/styles/pydata-sphinx-theme.css?digest=1999514e3f237ded88cf" rel="stylesheet">

    
  <link rel="stylesheet"
    href="../../../../../_static/vendor/fontawesome/5.13.0/css/all.min.css">
  <link rel="preload" as="font" type="font/woff2" crossorigin
    href="../../../../../_static/vendor/fontawesome/5.13.0/webfonts/fa-solid-900.woff2">
  <link rel="preload" as="font" type="font/woff2" crossorigin
    href="../../../../../_static/vendor/fontawesome/5.13.0/webfonts/fa-brands-400.woff2">

    <link rel="stylesheet" type="text/css" href="../../../../../_static/pygments.css" />
    <link rel="stylesheet" href="../../../../../_static/styles/sphinx-book-theme.css?digest=62ba249389abaaa9ffc34bf36a076bdc1d65ee18" type="text/css" />
    <link rel="stylesheet" type="text/css" href="../../../../../_static/graphviz.css" />
    
  <!-- Pre-loaded scripts that we'll load fully later -->
  <link rel="preload" as="script" href="../../../../../_static/scripts/pydata-sphinx-theme.js?digest=1999514e3f237ded88cf">

    <script data-url_root="../../../../../" id="documentation_options" src="../../../../../_static/documentation_options.js"></script>
    <script src="../../../../../_static/jquery.js"></script>
    <script src="../../../../../_static/underscore.js"></script>
    <script src="../../../../../_static/doctools.js"></script>
    <script src="../../../../../_static/scripts/sphinx-book-theme.js?digest=f31d14ad54b65d19161ba51d4ffff3a77ae00456"></script>
    <link rel="index" title="Index" href="../../../../../genindex.html" />
    <link rel="search" title="Search" href="../../../../../search.html" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta name="docsearch:language" content="None">
    

    <!-- Google Analytics -->
    
  </head>
  <body data-spy="scroll" data-target="#bd-toc-nav" data-offset="60">
<!-- Checkboxes to toggle the left sidebar -->
<input type="checkbox" class="sidebar-toggle" name="__navigation" id="__navigation" aria-label="Toggle navigation sidebar">
<label class="overlay overlay-navbar" for="__navigation">
    <div class="visually-hidden">Toggle navigation sidebar</div>
</label>
<!-- Checkboxes to toggle the in-page toc -->
<input type="checkbox" class="sidebar-toggle" name="__page-toc" id="__page-toc" aria-label="Toggle in-page Table of Contents">
<label class="overlay overlay-pagetoc" for="__page-toc">
    <div class="visually-hidden">Toggle in-page Table of Contents</div>
</label>
<!-- Headers at the top -->
<div class="announcement header-item noprint"></div>
<div class="header header-item noprint"></div>

    
    <div class="container-fluid" id="banner"></div>

    

    <div class="container-xl">
      <div class="row">
          
<!-- Sidebar -->
<div class="bd-sidebar noprint" id="site-navigation">
    <div class="bd-sidebar__content">
        <div class="bd-sidebar__top"><div class="navbar-brand-box">
    <a class="navbar-brand text-wrap" href="../../../../../index.html">
      
      
      
      <h1 class="site-logo" id="site-title">open-ViewMin  documentation</h1>
      
    </a>
</div><form class="bd-search d-flex align-items-center" action="../../../../../search.html" method="get">
  <i class="icon fas fa-search"></i>
  <input type="search" class="form-control" name="q" id="search-input" placeholder="Search the docs ..." aria-label="Search the docs ..." autocomplete="off" >
</form><nav class="bd-links" id="bd-docs-nav" aria-label="Main">
    <div class="bd-toc-item active">
        <ul class="current nav bd-sidenav">
 <li class="toctree-l1">
  <a class="reference internal" href="../../../../../readme.html">
   Overview
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="../../../../../filters-tree.html">
   Filters tree
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="../../../../../calculations.html">
   Calculations
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="../../../../../GUI-reference.html">
   GUI Reference
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="../../../../../LICENSE.html">
   License
  </a>
 </li>
 <li class="toctree-l1 current active has-children">
  <a class="reference internal" href="../../../../index.html">
   API Reference
  </a>
  <input checked="" class="toctree-checkbox" id="toctree-checkbox-1" name="toctree-checkbox-1" type="checkbox"/>
  <label for="toctree-checkbox-1">
   <i class="fas fa-chevron-down">
   </i>
  </label>
  <ul class="current">
   <li class="toctree-l2 current active has-children">
    <a class="reference internal" href="../../../index.html">
     <code class="xref py py-mod docutils literal notranslate">
      <span class="pre">
       open_viewmin
      </span>
     </code>
    </a>
    <input checked="" class="toctree-checkbox" id="toctree-checkbox-2" name="toctree-checkbox-2" type="checkbox"/>
    <label for="toctree-checkbox-2">
     <i class="fas fa-chevron-down">
     </i>
    </label>
    <ul class="current">
     <li class="toctree-l3 has-children">
      <a class="reference internal" href="../../../filter_tree_plot/index.html">
       <code class="xref py py-mod docutils literal notranslate">
        <span class="pre">
         open_viewmin.filter_tree_plot
        </span>
       </code>
      </a>
      <input class="toctree-checkbox" id="toctree-checkbox-3" name="toctree-checkbox-3" type="checkbox"/>
      <label for="toctree-checkbox-3">
       <i class="fas fa-chevron-down">
       </i>
      </label>
      <ul>
       <li class="toctree-l4">
        <a class="reference internal" href="../../../filter_tree_plot/filters/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.filter_tree_plot.filters
          </span>
         </code>
        </a>
       </li>
       <li class="toctree-l4">
        <a class="reference internal" href="../../../filter_tree_plot/utilities/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.filter_tree_plot.utilities
          </span>
         </code>
        </a>
       </li>
       <li class="toctree-l4">
        <a class="reference internal" href="../../../filter_tree_plot/widgets/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.filter_tree_plot.widgets
          </span>
         </code>
        </a>
       </li>
       <li class="toctree-l4">
        <a class="reference internal" href="../../../filter_tree_plot/filter_formulas/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.filter_tree_plot.filter_formulas
          </span>
         </code>
        </a>
       </li>
       <li class="toctree-l4">
        <a class="reference internal" href="../../../filter_tree_plot/filter_tree_plot/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.filter_tree_plot.filter_tree_plot
          </span>
         </code>
        </a>
       </li>
       <li class="toctree-l4">
        <a class="reference internal" href="../../../filter_tree_plot/settings/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.filter_tree_plot.settings
          </span>
         </code>
        </a>
       </li>
      </ul>
     </li>
     <li class="toctree-l3 current active has-children">
      <a class="reference internal" href="../../index.html">
       <code class="xref py py-mod docutils literal notranslate">
        <span class="pre">
         open_viewmin.filter_tree_plot_Qt
        </span>
       </code>
      </a>
      <input checked="" class="toctree-checkbox" id="toctree-checkbox-4" name="toctree-checkbox-4" type="checkbox"/>
      <label for="toctree-checkbox-4">
       <i class="fas fa-chevron-down">
       </i>
      </label>
      <ul class="current">
       <li class="toctree-l4">
        <a class="reference internal" href="../../menus/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.filter_tree_plot_Qt.menus
          </span>
         </code>
        </a>
       </li>
       <li class="toctree-l4 current active">
        <a class="reference internal" href="../index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.filter_tree_plot_Qt.widgets_Qt
          </span>
         </code>
        </a>
       </li>
       <li class="toctree-l4">
        <a class="reference internal" href="../../filter_tree_plot_Qt/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt
          </span>
         </code>
        </a>
       </li>
       <li class="toctree-l4">
        <a class="reference internal" href="../../settings_Qt/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.filter_tree_plot_Qt.settings_Qt
          </span>
         </code>
        </a>
       </li>
      </ul>
     </li>
     <li class="toctree-l3 has-children">
      <a class="reference internal" href="../../../nematic/index.html">
       <code class="xref py py-mod docutils literal notranslate">
        <span class="pre">
         open_viewmin.nematic
        </span>
       </code>
      </a>
      <input class="toctree-checkbox" id="toctree-checkbox-5" name="toctree-checkbox-5" type="checkbox"/>
      <label for="toctree-checkbox-5">
       <i class="fas fa-chevron-down">
       </i>
      </label>
      <ul>
       <li class="toctree-l4">
        <a class="reference internal" href="../../../nematic/jones/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.nematic.jones
          </span>
         </code>
        </a>
       </li>
       <li class="toctree-l4">
        <a class="reference internal" href="../../../nematic/nematic/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.nematic.nematic
          </span>
         </code>
        </a>
       </li>
      </ul>
     </li>
     <li class="toctree-l3">
      <a class="reference internal" href="../../../open_viewmin/index.html">
       <code class="xref py py-mod docutils literal notranslate">
        <span class="pre">
         open_viewmin.open_viewmin
        </span>
       </code>
      </a>
     </li>
    </ul>
   </li>
  </ul>
 </li>
</ul>

    </div>
</nav></div>
        <div class="bd-sidebar__bottom">
             <!-- To handle the deprecated key -->
            
            <div class="navbar_extra_footer">
            Theme by the <a href="https://ebp.jupyterbook.org">Executable Book Project</a>
            </div>
            
        </div>
    </div>
    <div id="rtd-footer-container"></div>
</div>


          


          
<!-- A tiny helper pixel to detect if we've scrolled -->
<div class="sbt-scroll-pixel-helper"></div>
<!-- Main content -->
<div class="col py-0 content-container">
    
    <div class="header-article row sticky-top noprint">
        



<div class="col py-1 d-flex header-article-main">
    <div class="header-article__left">
        
        <label for="__navigation"
  class="headerbtn"
  data-toggle="tooltip"
data-placement="right"
title="Toggle navigation"
>
  

<span class="headerbtn__icon-container">
  <i class="fas fa-bars"></i>
  </span>

</label>

        
    </div>
    <div class="header-article__right">
<button onclick="toggleFullScreen()"
  class="headerbtn"
  data-toggle="tooltip"
data-placement="bottom"
title="Fullscreen mode"
>
  

<span class="headerbtn__icon-container">
  <i class="fas fa-expand"></i>
  </span>

</button>

<div class="menu-dropdown menu-dropdown-download-buttons">
  <button class="headerbtn menu-dropdown__trigger"
      aria-label="Download this page">
      <i class="fas fa-download"></i>
  </button>
  <div class="menu-dropdown__content">
    <ul>
      <li>
        <a href="../../../../../_sources/api/open_viewmin/filter_tree_plot_Qt/widgets_Qt/controls/index.rst.txt"
   class="headerbtn"
   data-toggle="tooltip"
data-placement="left"
title="Download source file"
>
  

<span class="headerbtn__icon-container">
  <i class="fas fa-file"></i>
  </span>
<span class="headerbtn__text-container">.rst</span>
</a>

      </li>
      
      <li>
        
<button onclick="printPdf(this)"
  class="headerbtn"
  data-toggle="tooltip"
data-placement="left"
title="Print to PDF"
>
  

<span class="headerbtn__icon-container">
  <i class="fas fa-file-pdf"></i>
  </span>
<span class="headerbtn__text-container">.pdf</span>
</button>

      </li>
      
    </ul>
  </div>
</div>
<label for="__page-toc"
  class="headerbtn headerbtn-page-toc"
  
>
  

<span class="headerbtn__icon-container">
  <i class="fas fa-list"></i>
  </span>

</label>

    </div>
</div>

<!-- Table of contents -->
<div class="col-md-3 bd-toc show noprint">
    <div class="tocsection onthispage pt-5 pb-3">
        <i class="fas fa-list"></i> Contents
    </div>
    <nav id="bd-toc-nav" aria-label="Page">
        <ul class="visible nav section-nav flex-column">
 <li class="toc-h2 nav-item toc-entry">
  <a class="reference internal nav-link" href="#module-contents">
   Module Contents
  </a>
  <ul class="nav section-nav flex-column">
   <li class="toc-h3 nav-item toc-entry">
    <a class="reference internal nav-link" href="#classes">
     Classes
    </a>
   </li>
   <li class="toc-h3 nav-item toc-entry">
    <a class="reference internal nav-link" href="#functions">
     Functions
    </a>
    <ul class="nav section-nav flex-column">
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar">
       ActorControlToolbar
      </a>
      <ul class="nav section-nav flex-column">
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.add_QSlider">
         add_QSlider
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.add_QSlider_type">
         add_QSlider_type
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.add_isosurface_QSlider">
         add_isosurface_QSlider
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.add_threshold_QSlider">
         add_threshold_QSlider
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.add_threshold_text_controls">
         add_threshold_text_controls
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.add_to_plotter">
         add_to_plotter
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.add_visibility_checkbox">
         add_visibility_checkbox
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.assign_checkbox_to_actor_visibility">
         assign_checkbox_to_actor_visibility
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.format_label_for_filters_tree">
         format_label_for_filters_tree
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.get_min_max_scalars">
         get_min_max_scalars
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.isosurface_slider_callback">
         isosurface_slider_callback
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.make_slice_slider_controls">
         make_slice_slider_controls
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.set_label">
         set_label
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.threshold_slider_callback">
         threshold_slider_callback
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.wiggle_slider_to_update">
         wiggle_slider_to_update
        </a>
       </li>
      </ul>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ControlsCheckboxToolBar">
       ControlsCheckboxToolBar
      </a>
      <ul class="nav section-nav flex-column">
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ControlsCheckboxToolBar.add_checkbox">
         add_checkbox
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ControlsCheckboxToolBar.add_item">
         add_item
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ControlsCheckboxToolBar.make_label_a_color_button">
         make_label_a_color_button
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ControlsCheckboxToolBar.populate">
         populate
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ControlsCheckboxToolBar.refresh">
         refresh
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ControlsCheckboxToolBar.refresh_all">
         refresh_all
        </a>
       </li>
      </ul>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar">
       SliceControlsToolBar
      </a>
      <ul class="nav section-nav flex-column">
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.collapse">
         collapse
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.create_orientation_button_callback">
         create_orientation_button_callback
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.expand">
         expand
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.expand_or_collapse_control_toolbar">
         expand_or_collapse_control_toolbar
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.origin_reset_callback">
         origin_reset_callback
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.setup_orient_along_axes_buttons">
         setup_orient_along_axes_buttons
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.setup_slice_control">
         setup_slice_control
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.slice_origin_slider_value_changed_callback">
         slice_origin_slider_value_changed_callback
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.slice_phi_slider_formula">
         slice_phi_slider_formula
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.slice_phi_slider_inv_formula">
         slice_phi_slider_inv_formula
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.slice_phi_slider_value_changed_callback">
         slice_phi_slider_value_changed_callback
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.slice_theta_slider_formula">
         slice_theta_slider_formula
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.slice_theta_slider_inv_formula">
         slice_theta_slider_inv_formula
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.slice_theta_slider_value_changed_callback">
         slice_theta_slider_value_changed_callback
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.slice_value_changed_callback">
         slice_value_changed_callback
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.widget_formula">
         widget_formula
        </a>
       </li>
      </ul>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.add_toolbar_to_controls_dock_widget">
       add_toolbar_to_controls_dock_widget
      </a>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.add_viscolor_toolbar">
       add_viscolor_toolbar
      </a>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.get_lights_intensity_from_slider">
       get_lights_intensity_from_slider
      </a>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.relink_visibility_checkbox">
       relink_visibility_checkbox
      </a>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.setup_animation_buttons">
       setup_animation_buttons
      </a>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.setup_lighting_control">
       setup_lighting_control
      </a>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.setup_widget_control">
       setup_widget_control
      </a>
     </li>
    </ul>
   </li>
  </ul>
 </li>
</ul>

    </nav>
</div>
    </div>
    <div class="article row">
        <div class="col pl-md-3 pl-lg-5 content-container">
            <!-- Table of contents that is only displayed when printing the page -->
            <div id="jb-print-docs-body" class="onlyprint">
                <h1>open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls</h1>
                <!-- Table of contents -->
                <div id="print-main-content">
                    <div id="jb-print-toc">
                        
                        <div>
                            <h2> Contents </h2>
                        </div>
                        <nav aria-label="Page">
                            <ul class="visible nav section-nav flex-column">
 <li class="toc-h2 nav-item toc-entry">
  <a class="reference internal nav-link" href="#module-contents">
   Module Contents
  </a>
  <ul class="nav section-nav flex-column">
   <li class="toc-h3 nav-item toc-entry">
    <a class="reference internal nav-link" href="#classes">
     Classes
    </a>
   </li>
   <li class="toc-h3 nav-item toc-entry">
    <a class="reference internal nav-link" href="#functions">
     Functions
    </a>
    <ul class="nav section-nav flex-column">
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar">
       ActorControlToolbar
      </a>
      <ul class="nav section-nav flex-column">
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.add_QSlider">
         add_QSlider
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.add_QSlider_type">
         add_QSlider_type
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.add_isosurface_QSlider">
         add_isosurface_QSlider
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.add_threshold_QSlider">
         add_threshold_QSlider
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.add_threshold_text_controls">
         add_threshold_text_controls
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.add_to_plotter">
         add_to_plotter
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.add_visibility_checkbox">
         add_visibility_checkbox
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.assign_checkbox_to_actor_visibility">
         assign_checkbox_to_actor_visibility
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.format_label_for_filters_tree">
         format_label_for_filters_tree
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.get_min_max_scalars">
         get_min_max_scalars
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.isosurface_slider_callback">
         isosurface_slider_callback
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.make_slice_slider_controls">
         make_slice_slider_controls
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.set_label">
         set_label
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.threshold_slider_callback">
         threshold_slider_callback
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.wiggle_slider_to_update">
         wiggle_slider_to_update
        </a>
       </li>
      </ul>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ControlsCheckboxToolBar">
       ControlsCheckboxToolBar
      </a>
      <ul class="nav section-nav flex-column">
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ControlsCheckboxToolBar.add_checkbox">
         add_checkbox
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ControlsCheckboxToolBar.add_item">
         add_item
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ControlsCheckboxToolBar.make_label_a_color_button">
         make_label_a_color_button
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ControlsCheckboxToolBar.populate">
         populate
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ControlsCheckboxToolBar.refresh">
         refresh
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ControlsCheckboxToolBar.refresh_all">
         refresh_all
        </a>
       </li>
      </ul>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar">
       SliceControlsToolBar
      </a>
      <ul class="nav section-nav flex-column">
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.collapse">
         collapse
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.create_orientation_button_callback">
         create_orientation_button_callback
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.expand">
         expand
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.expand_or_collapse_control_toolbar">
         expand_or_collapse_control_toolbar
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.origin_reset_callback">
         origin_reset_callback
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.setup_orient_along_axes_buttons">
         setup_orient_along_axes_buttons
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.setup_slice_control">
         setup_slice_control
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.slice_origin_slider_value_changed_callback">
         slice_origin_slider_value_changed_callback
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.slice_phi_slider_formula">
         slice_phi_slider_formula
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.slice_phi_slider_inv_formula">
         slice_phi_slider_inv_formula
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.slice_phi_slider_value_changed_callback">
         slice_phi_slider_value_changed_callback
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.slice_theta_slider_formula">
         slice_theta_slider_formula
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.slice_theta_slider_inv_formula">
         slice_theta_slider_inv_formula
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.slice_theta_slider_value_changed_callback">
         slice_theta_slider_value_changed_callback
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.slice_value_changed_callback">
         slice_value_changed_callback
        </a>
       </li>
       <li class="toc-h5 nav-item toc-entry">
        <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.widget_formula">
         widget_formula
        </a>
       </li>
      </ul>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.add_toolbar_to_controls_dock_widget">
       add_toolbar_to_controls_dock_widget
      </a>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.add_viscolor_toolbar">
       add_viscolor_toolbar
      </a>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.get_lights_intensity_from_slider">
       get_lights_intensity_from_slider
      </a>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.relink_visibility_checkbox">
       relink_visibility_checkbox
      </a>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.setup_animation_buttons">
       setup_animation_buttons
      </a>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.setup_lighting_control">
       setup_lighting_control
      </a>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.setup_widget_control">
       setup_widget_control
      </a>
     </li>
    </ul>
   </li>
  </ul>
 </li>
</ul>

                        </nav>
                    </div>
                </div>
            </div>
            <main id="main-content" role="main">
                
              <div>
                
  <section id="module-open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls">
<span id="open-viewmin-filter-tree-plot-qt-widgets-qt-controls"></span><h1><a class="reference internal" href="#module-open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls" title="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls"><code class="xref py py-mod docutils literal notranslate"><span class="pre">open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls</span></code></a><a class="headerlink" href="#module-open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls" title="Permalink to this headline">#</a></h1>
<p>Routines to create actor control toolbars in the Qt GUI</p>
<section id="module-contents">
<h2>Module Contents<a class="headerlink" href="#module-contents" title="Permalink to this headline">#</a></h2>
<section id="classes">
<h3>Classes<a class="headerlink" href="#classes" title="Permalink to this headline">#</a></h3>
<table class="autosummary longtable table autosummary">
<colgroup>
<col style="width: 10%" />
<col style="width: 90%" />
</colgroup>
<tbody>
<tr class="row-odd"><td><p><a class="reference internal" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar" title="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar"><code class="xref py py-obj docutils literal notranslate"><span class="pre">ActorControlToolbar</span></code></a></p></td>
<td><p></p></td>
</tr>
<tr class="row-even"><td><p><a class="reference internal" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ControlsCheckboxToolBar" title="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ControlsCheckboxToolBar"><code class="xref py py-obj docutils literal notranslate"><span class="pre">ControlsCheckboxToolBar</span></code></a></p></td>
<td><p></p></td>
</tr>
<tr class="row-odd"><td><p><a class="reference internal" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar" title="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar"><code class="xref py py-obj docutils literal notranslate"><span class="pre">SliceControlsToolBar</span></code></a></p></td>
<td><p></p></td>
</tr>
</tbody>
</table>
</section>
<section id="functions">
<h3>Functions<a class="headerlink" href="#functions" title="Permalink to this headline">#</a></h3>
<table class="autosummary longtable table autosummary">
<colgroup>
<col style="width: 10%" />
<col style="width: 90%" />
</colgroup>
<tbody>
<tr class="row-odd"><td><p><a class="reference internal" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.add_toolbar_to_controls_dock_widget" title="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.add_toolbar_to_controls_dock_widget"><code class="xref py py-obj docutils literal notranslate"><span class="pre">add_toolbar_to_controls_dock_widget</span></code></a>(plotter, toolbar_name, orientation_int=2)</p></td>
<td><p></p></td>
</tr>
<tr class="row-even"><td><p><a class="reference internal" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.add_viscolor_toolbar" title="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.add_viscolor_toolbar"><code class="xref py py-obj docutils literal notranslate"><span class="pre">add_viscolor_toolbar</span></code></a>(plotter, actor_name, label=None, slider_for=None)</p></td>
<td><p>Standard controls toolbar for each actor's rendering options</p></td>
</tr>
<tr class="row-odd"><td><p><a class="reference internal" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.get_lights_intensity_from_slider" title="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.get_lights_intensity_from_slider"><code class="xref py py-obj docutils literal notranslate"><span class="pre">get_lights_intensity_from_slider</span></code></a>(plotter)</p></td>
<td><p></p></td>
</tr>
<tr class="row-even"><td><p><a class="reference internal" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.relink_visibility_checkbox" title="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.relink_visibility_checkbox"><code class="xref py py-obj docutils literal notranslate"><span class="pre">relink_visibility_checkbox</span></code></a>(plotter, actor_name)</p></td>
<td><p>Make sure visibility checkbox state matches actor visibility,</p></td>
</tr>
<tr class="row-odd"><td><p><a class="reference internal" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.setup_animation_buttons" title="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.setup_animation_buttons"><code class="xref py py-obj docutils literal notranslate"><span class="pre">setup_animation_buttons</span></code></a>(plotter)</p></td>
<td><p>Buttons for animations toolbar to change the frame number</p></td>
</tr>
<tr class="row-even"><td><p><a class="reference internal" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.setup_lighting_control" title="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.setup_lighting_control"><code class="xref py py-obj docutils literal notranslate"><span class="pre">setup_lighting_control</span></code></a>(plotter)</p></td>
<td><p>Slider to change lighting intensity</p></td>
</tr>
<tr class="row-odd"><td><p><a class="reference internal" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.setup_widget_control" title="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.setup_widget_control"><code class="xref py py-obj docutils literal notranslate"><span class="pre">setup_widget_control</span></code></a>(plotter)</p></td>
<td><p>Add toolbar to controls dock containing checkboxes for enabling/disabling</p></td>
</tr>
</tbody>
</table>
<dl class="py class">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.</span></span><span class="sig-name descname"><span class="pre">ActorControlToolbar</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">plotter</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">actor_name</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">label</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar" title="Permalink to this definition">#</a></dt>
<dd><p>Bases: <a class="reference internal" href="../utilities_Qt/index.html#open_viewmin.filter_tree_plot_Qt.widgets_Qt.utilities_Qt.ControlsToolbar" title="open_viewmin.filter_tree_plot_Qt.widgets_Qt.utilities_Qt.ControlsToolbar"><code class="xref py py-obj docutils literal notranslate"><span class="pre">open_viewmin.filter_tree_plot_Qt.widgets_Qt.utilities_Qt.ControlsToolbar</span></code></a></p>
<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.add_QSlider">
<span class="sig-name descname"><span class="pre">add_QSlider</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">update_method</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">num_divs</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">100</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">init_val_percent</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">50</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">min_val</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">max_val</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">scalars</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">label_txt</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">''</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.add_QSlider" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.add_QSlider_type">
<span class="sig-name descname"><span class="pre">add_QSlider_type</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">type_string</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.add_QSlider_type" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.add_isosurface_QSlider">
<span class="sig-name descname"><span class="pre">add_isosurface_QSlider</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">min_val</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">max_val</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.add_isosurface_QSlider" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.add_threshold_QSlider">
<span class="sig-name descname"><span class="pre">add_threshold_QSlider</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">min_val</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">max_val</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.add_threshold_QSlider" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.add_threshold_text_controls">
<span class="sig-name descname"><span class="pre">add_threshold_text_controls</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">label</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">''</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.add_threshold_text_controls" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.add_to_plotter">
<span class="sig-name descname"><span class="pre">add_to_plotter</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.add_to_plotter" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.add_visibility_checkbox">
<span class="sig-name descname"><span class="pre">add_visibility_checkbox</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.add_visibility_checkbox" title="Permalink to this definition">#</a></dt>
<dd><p>Add a checkbox that toggles an actor’s visibility</p>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.assign_checkbox_to_actor_visibility">
<span class="sig-name descname"><span class="pre">assign_checkbox_to_actor_visibility</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">actor_name</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.assign_checkbox_to_actor_visibility" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.format_label_for_filters_tree">
<span class="sig-name descname"><span class="pre">format_label_for_filters_tree</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">label</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.format_label_for_filters_tree" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.get_min_max_scalars">
<span class="sig-name descname"><span class="pre">get_min_max_scalars</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">min_val</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">max_val</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.get_min_max_scalars" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.isosurface_slider_callback">
<span class="sig-name descname"><span class="pre">isosurface_slider_callback</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">contour_value</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.isosurface_slider_callback" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.make_slice_slider_controls">
<span class="sig-name descname"><span class="pre">make_slice_slider_controls</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">widget_name</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">make_origin_slider</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">True</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.make_slice_slider_controls" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.set_label">
<span class="sig-name descname"><span class="pre">set_label</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">text</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.set_label" title="Permalink to this definition">#</a></dt>
<dd><p>Change text in label toolbar</p>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.threshold_slider_callback">
<span class="sig-name descname"><span class="pre">threshold_slider_callback</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">value_lims</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.threshold_slider_callback" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.wiggle_slider_to_update">
<span class="sig-name descname"><span class="pre">wiggle_slider_to_update</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ActorControlToolbar.wiggle_slider_to_update" title="Permalink to this definition">#</a></dt>
<dd><p>For an actor with some feature controlled by a slider,
move the slider right and left to force the actor to update</p>
</dd></dl>

</dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ControlsCheckboxToolBar">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.</span></span><span class="sig-name descname"><span class="pre">ControlsCheckboxToolBar</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">plotter</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">name</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">label</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">icon_size</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">movable</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">True</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">floatable</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">True</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">items_dict_reference</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">init_state_callback</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">state_changed_callback</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">do_color_buttons</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">False</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ControlsCheckboxToolBar" title="Permalink to this definition">#</a></dt>
<dd><p>Bases: <a class="reference internal" href="../utilities_Qt/index.html#open_viewmin.filter_tree_plot_Qt.widgets_Qt.utilities_Qt.ControlsToolbar" title="open_viewmin.filter_tree_plot_Qt.widgets_Qt.utilities_Qt.ControlsToolbar"><code class="xref py py-obj docutils literal notranslate"><span class="pre">open_viewmin.filter_tree_plot_Qt.widgets_Qt.utilities_Qt.ControlsToolbar</span></code></a></p>
<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ControlsCheckboxToolBar.add_checkbox">
<span class="sig-name descname"><span class="pre">add_checkbox</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">item_name</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ControlsCheckboxToolBar.add_checkbox" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ControlsCheckboxToolBar.add_item">
<span class="sig-name descname"><span class="pre">add_item</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">item_name</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">init_state_callback</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">state_changed_callback</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ControlsCheckboxToolBar.add_item" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ControlsCheckboxToolBar.make_label_a_color_button">
<span class="sig-name descname"><span class="pre">make_label_a_color_button</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">item_name</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ControlsCheckboxToolBar.make_label_a_color_button" title="Permalink to this definition">#</a></dt>
<dd><p>Replace label of checkbox with a separate button that activates
a color picker dialog for the widget</p>
</dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ControlsCheckboxToolBar.populate">
<span class="sig-name descname"><span class="pre">populate</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ControlsCheckboxToolBar.populate" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ControlsCheckboxToolBar.refresh">
<span class="sig-name descname"><span class="pre">refresh</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">item_name</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ControlsCheckboxToolBar.refresh" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ControlsCheckboxToolBar.refresh_all">
<span class="sig-name descname"><span class="pre">refresh_all</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.ControlsCheckboxToolBar.refresh_all" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="py class">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.</span></span><span class="sig-name descname"><span class="pre">SliceControlsToolBar</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">parent_toolbar</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">widget_name</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">make_origin_slider</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">True</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar" title="Permalink to this definition">#</a></dt>
<dd><p>Bases: <code class="xref py py-obj docutils literal notranslate"><span class="pre">qtpy.QtWidgets.QToolBar</span></code></p>
<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.collapse">
<span class="sig-name descname"><span class="pre">collapse</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.collapse" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.create_orientation_button_callback">
<span class="sig-name descname"><span class="pre">create_orientation_button_callback</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">theta</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">phi</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.create_orientation_button_callback" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.expand">
<span class="sig-name descname"><span class="pre">expand</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.expand" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.expand_or_collapse_control_toolbar">
<span class="sig-name descname"><span class="pre">expand_or_collapse_control_toolbar</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.expand_or_collapse_control_toolbar" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.origin_reset_callback">
<span class="sig-name descname"><span class="pre">origin_reset_callback</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.origin_reset_callback" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.setup_orient_along_axes_buttons">
<span class="sig-name descname"><span class="pre">setup_orient_along_axes_buttons</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.setup_orient_along_axes_buttons" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.setup_slice_control">
<span class="sig-name descname"><span class="pre">setup_slice_control</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">label</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">minimum</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">maximum</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">init_val</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">slider_formula</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">slider_inv_formula</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">value_changed_callback</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">use_ints</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">False</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">slider_minimum</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">0</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">slider_maximum</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.setup_slice_control" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.slice_origin_slider_value_changed_callback">
<span class="sig-name descname"><span class="pre">slice_origin_slider_value_changed_callback</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">value</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.slice_origin_slider_value_changed_callback" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.slice_phi_slider_formula">
<span class="sig-name descname"><span class="pre">slice_phi_slider_formula</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">value</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.slice_phi_slider_formula" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.slice_phi_slider_inv_formula">
<span class="sig-name descname"><span class="pre">slice_phi_slider_inv_formula</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">value</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.slice_phi_slider_inv_formula" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.slice_phi_slider_value_changed_callback">
<span class="sig-name descname"><span class="pre">slice_phi_slider_value_changed_callback</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">value</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.slice_phi_slider_value_changed_callback" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.slice_theta_slider_formula">
<span class="sig-name descname"><span class="pre">slice_theta_slider_formula</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">value</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.slice_theta_slider_formula" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.slice_theta_slider_inv_formula">
<span class="sig-name descname"><span class="pre">slice_theta_slider_inv_formula</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">value</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.slice_theta_slider_inv_formula" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.slice_theta_slider_value_changed_callback">
<span class="sig-name descname"><span class="pre">slice_theta_slider_value_changed_callback</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">value</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.slice_theta_slider_value_changed_callback" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.slice_value_changed_callback">
<span class="sig-name descname"><span class="pre">slice_value_changed_callback</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">key</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">value_callable</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.slice_value_changed_callback" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py method">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.widget_formula">
<em class="property"><span class="pre">property</span><span class="w"> </span></em><span class="sig-name descname"><span class="pre">widget_formula</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">self</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.SliceControlsToolBar.widget_formula" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.add_toolbar_to_controls_dock_widget">
<span class="sig-prename descclassname"><span class="pre">open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.</span></span><span class="sig-name descname"><span class="pre">add_toolbar_to_controls_dock_widget</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">plotter</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">toolbar_name</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">orientation_int</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">2</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.add_toolbar_to_controls_dock_widget" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.add_viscolor_toolbar">
<span class="sig-prename descclassname"><span class="pre">open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.</span></span><span class="sig-name descname"><span class="pre">add_viscolor_toolbar</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">plotter</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">actor_name</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">label</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">slider_for</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.add_viscolor_toolbar" title="Permalink to this definition">#</a></dt>
<dd><p>Standard controls toolbar for each actor’s rendering options</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.get_lights_intensity_from_slider">
<span class="sig-prename descclassname"><span class="pre">open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.</span></span><span class="sig-name descname"><span class="pre">get_lights_intensity_from_slider</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">plotter</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.get_lights_intensity_from_slider" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.relink_visibility_checkbox">
<span class="sig-prename descclassname"><span class="pre">open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.</span></span><span class="sig-name descname"><span class="pre">relink_visibility_checkbox</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">plotter</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">actor_name</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.relink_visibility_checkbox" title="Permalink to this definition">#</a></dt>
<dd><p>Make sure visibility checkbox state matches actor visibility,
otherwise checkbox becomes unusable</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.setup_animation_buttons">
<span class="sig-prename descclassname"><span class="pre">open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.</span></span><span class="sig-name descname"><span class="pre">setup_animation_buttons</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">plotter</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.setup_animation_buttons" title="Permalink to this definition">#</a></dt>
<dd><p>Buttons for animations toolbar to change the frame number</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.setup_lighting_control">
<span class="sig-prename descclassname"><span class="pre">open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.</span></span><span class="sig-name descname"><span class="pre">setup_lighting_control</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">plotter</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.setup_lighting_control" title="Permalink to this definition">#</a></dt>
<dd><p>Slider to change lighting intensity</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.setup_widget_control">
<span class="sig-prename descclassname"><span class="pre">open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.</span></span><span class="sig-name descname"><span class="pre">setup_widget_control</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">plotter</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.filter_tree_plot_Qt.widgets_Qt.controls.setup_widget_control" title="Permalink to this definition">#</a></dt>
<dd><p>Add toolbar to controls dock containing checkboxes for enabling/disabling
PyVista widgets.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>plotter</strong> – </p>
</dd>
</dl>
</dd></dl>

</section>
</section>
</section>


              </div>
              
            </main>
            <footer class="footer-article noprint">
                
    <!-- Previous / next buttons -->
<div class='prev-next-area'>
</div>
            </footer>
        </div>
    </div>
    <div class="footer-content row">
        <footer class="col footer"><p>
  
    By Daniel Beller<br/>
  
      &copy; Copyright 2022, Daniel Beller.<br/>
</p>
        </footer>
    </div>
    
</div>


      </div>
    </div>
  
  <!-- Scripts loaded after <body> so the DOM is not blocked -->
  <script src="../../../../../_static/scripts/pydata-sphinx-theme.js?digest=1999514e3f237ded88cf"></script>


  </body>
</html>